import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type InitializePlatformParams = {
    accounts: {
        admin: PublicKey;
        platformState: PublicKey;
        purchaseMintAccount: PublicKey;
        platformMintAccount: PublicKey;
    };
    inputs: {
        bump: number;
    };
};
export declare function initializePlatform(program: Program<PropeasyProgram>, params: InitializePlatformParams): Promise<Instruction>;
